---
title: Checkbox
description: Componente Checkbox
---

{/* Componentes React */}
import CustomSandpack from '@site/src/components/CustomSandpack';

{/* Seções */}
import Migrate from '../stencil-generated-docs/avatar/sections/migrate.md';
import Events from '../stencil-generated-docs/checkbox/events.md';
import Methods from '../stencil-generated-docs/checkbox/methods.md';
import Overview from '../stencil-generated-docs/checkbox/overview.md';
import Props from '../stencil-generated-docs/checkbox/props.md';
import Slots from '../stencil-generated-docs/checkbox/slots.md';

{/* Exemplos */}
import hiddenLabel from '!!raw-loader!../stencil-generated-docs/checkbox/examples/hidden-label.html';
import horizontal from '!!raw-loader!../stencil-generated-docs/checkbox/examples/horizontal.html';
import indeterminate from '!!raw-loader!../stencil-generated-docs/checkbox/examples/indeterminate.html';
import slotted from '!!raw-loader!../stencil-generated-docs/checkbox/examples/slotted.html';
import state from '!!raw-loader!../stencil-generated-docs/checkbox/examples/state.html';
import vertical from '!!raw-loader!../stencil-generated-docs/checkbox/examples/vertical.html';

{/* Javascript */}
import javascript from '!!raw-loader!../stencil-generated-docs/checkbox/examples/index.js';

<Overview />
<Props />
<Methods />
<Events />

## Exemplos

<CustomSandpack htmlCode={horizontal} jsCode={javascript} title="Horizontal" />

<CustomSandpack htmlCode={vertical} jsCode={javascript} title="Vertical" />

<CustomSandpack htmlCode={indeterminate} jsCode={javascript} title="Indeterminado" />

<CustomSandpack htmlCode={slotted} jsCode={javascript} title="Com slot" />

<CustomSandpack htmlCode={state} jsCode={javascript} title="Estados" />

<CustomSandpack htmlCode={hiddenLabel} jsCode={javascript} title="Label oculto" />

<Slots />
<Migrate />
